<Type Name="ITypeLib2" FullName="System.Runtime.InteropServices.ComTypes.ITypeLib2">
  <TypeSignature Language="C#" Value="public interface ITypeLib2 : System.Runtime.InteropServices.ComTypes.ITypeLib" />
  <AssemblyInfo>
    <AssemblyName>mscorlib</AssemblyName>
    <AssemblyVersion>2.0.0.0</AssemblyVersion>
  </AssemblyInfo>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Runtime.InteropServices.ComTypes.ITypeLib</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.Guid("00020411-0000-0000-C000-000000000046")</AttributeName>
    </Attribute>
  </Attributes>
  <Docs>
    <summary>To be added.</summary>
    <remarks>To be added.</remarks>
    <since version=".NET 2.0" />
  </Docs>
  <Members>
    <Member MemberName="GetAllCustData">
      <MemberSignature Language="C#" Value="public void GetAllCustData (IntPtr pCustData);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="pCustData" Type="System.IntPtr" />
      </Parameters>
      <Docs>
        <param name="pCustData">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
        <since version=".NET 2.0" />
      </Docs>
    </Member>
    <Member MemberName="GetCustData">
      <MemberSignature Language="C#" Value="public void GetCustData (ref Guid guid, out object pVarVal);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="guid" Type="System.Guid&amp;" RefType="ref" />
        <Parameter Name="pVarVal" Type="System.Object&amp;" RefType="out" />
      </Parameters>
      <Docs>
        <param name="guid">To be added.</param>
        <param name="pVarVal">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
        <since version=".NET 2.0" />
      </Docs>
    </Member>
    <Member MemberName="GetDocumentation2">
      <MemberSignature Language="C#" Value="public void GetDocumentation2 (int index, out string pbstrHelpString, out int pdwHelpStringContext, out string pbstrHelpStringDll);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="index" Type="System.Int32" />
        <Parameter Name="pbstrHelpString" Type="System.String&amp;" RefType="out" />
        <Parameter Name="pdwHelpStringContext" Type="System.Int32&amp;" RefType="out" />
        <Parameter Name="pbstrHelpStringDll" Type="System.String&amp;" RefType="out" />
      </Parameters>
      <Docs>
        <param name="index">To be added.</param>
        <param name="pbstrHelpString">To be added.</param>
        <param name="pdwHelpStringContext">To be added.</param>
        <param name="pbstrHelpStringDll">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
        <since version=".NET 2.0" />
      </Docs>
    </Member>
    <Member MemberName="GetLibStatistics">
      <MemberSignature Language="C#" Value="public void GetLibStatistics (IntPtr pcUniqueNames, out int pcchUniqueNames);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="pcUniqueNames" Type="System.IntPtr" />
        <Parameter Name="pcchUniqueNames" Type="System.Int32&amp;" RefType="out" />
      </Parameters>
      <Docs>
        <param name="pcUniqueNames">To be added.</param>
        <param name="pcchUniqueNames">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
        <since version=".NET 2.0" />
      </Docs>
    </Member>
  </Members>
</Type>
